Bug 139219 - [UI] elementary: Proposal to remove green header row part in table icon
Summary: [UI] elementary: Proposal to remove green header row part in table icon
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Rizal Muttaqin
URL:
Whiteboard: target:7.2.0 target:7.1.0.2
Keywords:
Depends on:
Blocks: Icon-Theme-Elementary
  Show dependency treegraph
 
Reported: 2020-12-25 09:42 UTC by Rizal Muttaqin
Modified: 2021-01-04 04:44 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Confusing green header area in table icon (142.63 KB, image/png)
2020-12-25 09:45 UTC, Rizal Muttaqin
Details
New elementary Table icons (69.26 KB, image/png)
2020-12-25 13:44 UTC, Rizal Muttaqin
Details
Newest table icon with silver header (64.24 KB, image/png)
2020-12-29 08:02 UTC, Rizal Muttaqin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rizal Muttaqin 2020-12-25 09:42:32 UTC

    
Comment 1 Rizal Muttaqin 2020-12-25 09:45:50 UTC
Created attachment 168477 [details]
Confusing green header area in table icon

elementary make use green row to indicate a " table header" in table icon. This is somewhat confusing when seeing another icon which related to row/column creation.

I propose to delete or update that green part

Version: 7.2.0.0.alpha0+
Build ID: ed54542e7237c9e519b75464af55094e578aefdc
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: kf5
Locale: id-ID (id_ID.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-12-24_00:53:01
Calc: threaded

(Sorry I accidentally pressed random keyboard button so 0 comment became empty)
Comment 2 Roman Kuznetsov 2020-12-25 12:21:32 UTC
Rizal, can you show us your new variant of that icons?
Comment 3 Commit Notification 2020-12-25 13:24:52 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e3deff4ba21d2953638ae6c4845af93b98af86f0

elementary tdf#139219 tdf#139056 tdf#139020

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Rizal Muttaqin 2020-12-25 13:44:47 UTC
Created attachment 168479 [details]
New elementary Table icons

(In reply to Roman Kuznetsov from comment #2)
> Rizal, can you show us your new variant of that icons?

Here the screenshot, Roman
Comment 5 QA Administrators 2020-12-26 03:49:15 UTC Comment hidden (obsolete)
Comment 6 Cor Nouws 2020-12-26 10:59:34 UTC
(In reply to Rizal Muttaqin from comment #1)
> Created attachment 168477 [details]
> Confusing green header area in table icon
Hi Rizal,

I agree the green part is to prominent.
But it does make the block look as a clear table.
Maybe a gray shade is better than green and nothing?

Cheers - Cor
Comment 7 Rizal Muttaqin 2020-12-26 11:04:38 UTC
(In reply to Cor Nouws from comment #6)
> Hi Rizal,
> 
> I agree the green part is to prominent.
> But it does make the block look as a clear table.
> Maybe a gray shade is better than green and nothing?
> 
> Cheers - Cor

I have tried to use more neutral color like gray but still, it looks annoying in small part. I can show you a screenshot while keeping this ticket open.
Comment 8 Cor Nouws 2020-12-26 20:48:09 UTC
(In reply to Rizal Muttaqin from comment #7)
> I have tried to use more neutral color like gray but still, it looks
> annoying in small part. I can show you a screenshot while keeping this
> ticket open.
Thanks for offering that. If you/others think the version without color is best, it's fine for me too!
Comment 9 Rizal Muttaqin 2020-12-29 08:02:58 UTC
Created attachment 168548 [details]
Newest table icon with silver header

(In reply to Cor Nouws from comment #8)
> (In reply to Rizal Muttaqin from comment #7)
> Thanks for offering that. If you/others think the version without color is
> best, it's fine for me too!

Here your request. I feel this is more comfortable to look at, neither too flashy nor too plain.
Comment 10 Commit Notification 2021-01-02 04:58:16 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0260f39dc9c4a86677707889b944e236c5b9ca79

elementary: tdf#139219 update table header to be silver

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2021-01-04 04:44:37 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/8971b4ca5db46720079dd3239c9465dcc2d42190

tdf#139056 tdf#139353 tdf#139020 tdf#139219 tdf#139174 tdf#139048 tdf#139046 tdf#139052

It will be available in 7.1.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.